| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
sckipc.h File Reference

## Classes
class | wxTCPServer
| A wxTCPServer object represents the server part of a client-server conversation. More...
class | wxTCPClient
| A wxTCPClient object represents the client part of a client-server conversation. More...
class | wxTCPConnection
| A wxTCPClient object represents the connection between a client and a server. More...

## Enumerations
enum | wxIPCFormat { wxIPC_INVALID = 0, wxIPC_TEXT = 1, wxIPC_BITMAP = 2, wxIPC_METAFILE = 3, wxIPC_SYLK = 4, wxIPC_DIF = 5, wxIPC_TIFF = 6, wxIPC_OEMTEXT = 7, wxIPC_DIB = 8, wxIPC_PALETTE = 9, wxIPC_PENDATA = 10, wxIPC_RIFF = 11, wxIPC_WAVE = 12, wxIPC_UTF16TEXT = 13, wxIPC_ENHMETAFILE = 14, wxIPC_FILENAME = 15, wxIPC_LOCALE = 16, wxIPC_UTF8TEXT = 17, wxIPC_UTF32TEXT = 18, wxIPC_UNICODETEXT = wxIPC_UTF16TEXT, wxIPC_PRIVATE = 20, wxIPC_INVALID = 0, wxIPC_TEXT = 1, wxIPC_BITMAP = 2, wxIPC_METAFILE = 3, wxIPC_SYLK = 4, wxIPC_DIF = 5, wxIPC_TIFF = 6, wxIPC_OEMTEXT = 7, wxIPC_DIB = 8, wxIPC_PALETTE = 9, wxIPC_PENDATA = 10, wxIPC_RIFF = 11, wxIPC_WAVE = 12, wxIPC_UTF16TEXT = 13, wxIPC_ENHMETAFILE = 14, wxIPC_FILENAME = 15, wxIPC_LOCALE = 16, wxIPC_UTF8TEXT = 17, wxIPC_UTF32TEXT = 18, wxIPC_UNICODETEXT, wxIPC_PRIVATE = 20 }
| See wxTCPConnection. More...

## Enumeration Type Documentation

enum wxIPCFormat

See wxTCPConnection.

Enumerator:

  wxIPC_INVALID |
  wxIPC_TEXT | CF_TEXT.
  wxIPC_BITMAP | CF_BITMAP.
  wxIPC_METAFILE | CF_METAFILEPICT.
  wxIPC_SYLK |
  wxIPC_DIF |
  wxIPC_TIFF |
  wxIPC_OEMTEXT | CF_OEMTEXT.
  wxIPC_DIB | CF_DIB.
  wxIPC_PALETTE |
  wxIPC_PENDATA |
  wxIPC_RIFF |
  wxIPC_WAVE |
  wxIPC_UTF16TEXT | CF_UNICODE.
  wxIPC_ENHMETAFILE |
  wxIPC_FILENAME | CF_HDROP.
  wxIPC_LOCALE |
  wxIPC_UTF8TEXT |
  wxIPC_UTF32TEXT |
  wxIPC_UNICODETEXT |
  wxIPC_PRIVATE |
  wxIPC_INVALID |
  wxIPC_TEXT |
  wxIPC_BITMAP |
  wxIPC_METAFILE |
  wxIPC_SYLK |
  wxIPC_DIF |
  wxIPC_TIFF |
  wxIPC_OEMTEXT |
  wxIPC_DIB |
  wxIPC_PALETTE |
  wxIPC_PENDATA |
  wxIPC_RIFF |
  wxIPC_WAVE |
  wxIPC_UTF16TEXT |
  wxIPC_ENHMETAFILE |
  wxIPC_FILENAME |
  wxIPC_LOCALE |
  wxIPC_UTF8TEXT |
  wxIPC_UTF32TEXT |
  wxIPC_UNICODETEXT |
  wxIPC_PRIVATE |